#!/usr/bin/sh -e

#DEBHELPER#

if [ "$1" = "configure" ]; then
	if ! dpkg-statoverride --list /var/log/puppet >/dev/null 2>&1; then
		dpkg-statoverride --update --add puppet puppet 0750 /var/log/puppet
	fi

	if ! dpkg-statoverride --list /var/lib/puppet >/dev/null 2>&1; then
		dpkg-statoverride --update --add puppet puppet 0750 /var/lib/puppet
	fi

	if ! dpkg-statoverride --list /var/cache/puppet/state >/dev/null 2>&1; then
		dpkg-statoverride --update --add puppet puppet 0750 /var/cache/puppet/state
	fi
fi
